# start via:
# vtund -f /etc/vtund-server.conf -s

default {
	type ether ;
	compress no ;
	encrypt no ;
	keepalive yes ;
	multi yes ;
	stat yes ;
}

myconn1 {			# server: 10.63.15.30/30
	device tap0 ;		# client: 10.63.15.29/30 + HNA: 10.63.15.0/26
	password MYPASS ;

	up {
		program "logger -p daemon.info -t vtund link_up %%:myconn1" wait ;
		program "ip link set dev %% mtu 1500 up" wait ;
		program "ip address add 10.63.15.30/30 dev %% label %%:myconn1" wait ;
		program "ip route add 10.63.15.0/26 via 10.63.15.29 dev %%" wait ;
	} ;

	down {
		program "ip link set dev %% down" ;
		program "logger -p daemon.info -t vtund link_down %%:myconn1" wait ;
	} ;
}
